{% extends 'base.html' %}
{% load static %}
{% load customTags %}
{% load comments %}
{% load getlike %}
{% block title %}
Book Details | Litwit
{% endblock %}

{% block content %}

<div class="container-fluid bookdetails">
    <div class="row">
        <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12">

            <div class="row" style="margin-bottom: 3%;">
                <div class="col-md-12 col-xs-12 col-sm-12">
                    <span class="bookName">{{ book.title }}</span>
                    <span class="authorName">By {{ book.author }}</span>
                </div>
            </div>

            <div class="row">
                <div class="col-md-3 col-xs-6 col-sm-6">
                    {% if not coverPhoto %}
                    <img class="bookcover" src="/static/img/Books-512.png">
                    {% else %}
                    <img class="bookcover" src="{{ coverPhoto.photo.url }}">
                    {% endif %}
                </div>
                <div class="col-md-6 col-xs-6 col-sm-6" style="margin-top:3%;">
                    <span id="price">Price :<s>{{ book.cost }} </s></span>
                    <span id="discount">Rs.{{ sellingPrice }} ({{ book.discount }}% off)</span>
                    <div class="row">
                        <div class="col-md-6 col-xs-6 col-sm-6">
                            <div class="ratings">
                                <img  src="/static/img/{{ book.rating }}.png" style="display:block;width:150px;margin-bottom: 2%;">
                                <span style="" id="ratingscore">{{ book.rating }}/5</span>
                            </div>

                        </div>

                    </div>
                    <div class="form">

                            <!-- <div class="row">
                                <div class="btn btn-default">
                                <input type='checkbox' name='thing' value='valuable' id="thing"/><label for="thing" ></label>
                                </div>
                                </div> -->
                                {% if not possessed %}
                                <div class="row">
                                    <div class="btn btn-default">
                                        {% if request.user.is_authenticated %}
                                        <span onclick='showLendForm()'>Lend the book :)</a>
                                        {% else %}
                                        <span class='disabled'>Lend the book :)</a>
                                        {% endif %}
                                    </div>
                                </div>
                                <div id="lendForm" style='display:none;'>
                                    <form action="/books/{{ book.pk }}/lendIt/" method="get">
                                        <label for="condition">Condition</label>
                                        <select class='form-control' name="condition" id="condition">
                                            {% for condition in conditions %}
                                            <option value="{{ condition|valueAt:0 }}">{{ condition|valueAt:1 }}</option>
                                            {% endfor %}
                                        </select>
                                        <input class='waves-effect waves-light btn darkBlue Button' type="submit" value="Confirm!">
                                    </form> 
                                </div>
                                {% else %}
                                <div class="btn btn-default" data-toggle="modal" data-target="#lend">
                                    <a href="/books/{{ book.pk }}/lendIt?revoke=1">Don't lend the book</a>
                                </div>

                                {% endif %}
                    </div>

                   

                </div>
                <div class="col-md-3 col-xs-12 col-sm-12">
                    <div class="row">
<div class="col-md-12 col-xs-6 col-sm-3">
                           
                            <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" href="/books/{{ book.id }}/addToCart/" id="carts">Add to Cart</a>
                        </div>
                        <div class="col-md-12 col-xs-6 col-sm-3">
                            <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" href="/books/{{ book.id }}/addToRentalCart/">Add To Rentals</a>
                        </div>
                        {% if request.user.is_authenticated %}
                        <div class="col-md-12 col-xs-6 col-sm-3">
                            <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" data-target="#verificationModal" onclick = 'setBuyOrRent(1);'>Rent Now</a>
                        </div>
                        <div class="col-md-12 col-xs-6 col-sm-3">
                            <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" data-target="#verificationModal" onclick='setBuyOrRent(0)'>Buy Now</a>
                        </div>
                        {% if issubscribed %}
<div class="col-md-12 col-xs-6 col-sm-3">
                            <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal"  href="/books/{{ book.id }}/addToSubscription/" >Subscribe</a>
                        </div>
                      {% else %}
<div class="col-md-12 col-xs-6 col-sm-3">
                            <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" data-target="#verificationModal" onclick='setBuyOrRent(0)'>Buy Subscription</a>
                        </div>
                        {% endif %}
                        <div class="col-md-12 col-xs-6 col-sm-3">
                            <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" href="/books/{{ book.id }}/addToWishlist/">Add to wishlist</a>
                        </div>
                        {% endif %}

                    </div>
                </div>
            </div>

        </div>



    </div>

     <div class="row"> 
        <div class="col-md-8 col-md-offset-1 col-xs-12 col-sm-12 lenders"> 
            <h2 >About the Book</h2> 
            <span class="aboutTheBook">{{book.description}}</span> 



        </div> 
    </div> 
    <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" href="/books/{{book.id}}/reviewDetail/">Reviews</a><button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" onclick="showdescription()">Book Description</button>

{% block review %}

            <div class="row" id="reviewdiv">
                            <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12 lenders">
                                                    <h2 class="Underline" style="color:#00838F;font-size:35px;margin-bottom: 4%;font-weight: 550;">Book Reviews</h2>

<h2>Latest reviews</h2>

{% if latest_review_list %}
<div>
    {% for review in latest_review_list  %}
    
    <div>
        <h6>rated <img  src="/static/img/{{ review.rating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                 {{ review.rating }} of 5 by {{ review.user_name }}<p style="float: right; display: inline-block;">{{review.pub_date}}</p></h6>
       
        <p class="minimize">{{ review.comment }}</p>
        {% if review.lrating  %}
        <h6>Language <img  src="/static/img/{{ review.lrating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.lrating }} of 5 </h6>
               <p class="minimize">{{ review.language }}</p>

        {% endif %}
 {% if review.wrating  %}
        <h6>Writing Style <img  src="/static/img/{{ review.wrating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.wrating }} of 5 </h6>
               <p class="minimize">{{ review.writing }}</p>

        {% endif %}
 {% if review.crating  %}
        <h6>Cover <img  src="/static/img/{{ review.crating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.crating }} of 5 </h6>
               <p class="minimize">{{ review.cover }}</p>

        {% endif %}
 {% if review.prating  %}
        <h6>Plot <img  src="/static/img/{{ review.prating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.prating }} of 5 </h6>
               <p class="minimize">{{ review.plot }}</p>

        {% endif %}

  {% get_ls request.user review.id as g %}

{% if g.0 %}

          <a id="likebutton{{review.id}}" class="likebutton" data-catid="{{ review.id }}">
          <span id="{{ review.id }}">{{ review.likecount}}</span>Like</a>{%else %}
          <a class="unlikebutton" id="unlikebutton{{review.id}}" data-catid="{{ review.id }}">
          <span id="{{ review.id }}">{{ review.likecount}}</span>Unlike{% endif %}</a> <a>View</a>

          <hr />
    </div> 
   {% for like in g.1 %}
   {{like.user}}
   {% endfor %}
    {% endfor %}
    <a class="waves-effect waves-light btn red Button" data-toggle="modal" href="/books/{{book.id}}/reviewDetail/" id="reviewheading" style="align-self: center;">See More</a>
</div>
{% else %}
<p>No reviews are available.</p>
{% endif %}
<button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" onclick="addreview()" id="reviewheading">Add your review</button>

<div style=" display:none;" id="reviewform" >
{% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}

<form action="/books/{{ book.id }}/addReview/" method="post">
    {% csrf_token %}
    {{ form.as_p }}
<button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" value="add">Add</button>
</form>
{% endblock %}
</div>

                    
                    </div>
</div>
            <div class="row" id ="discriptiondiv" style="display: none;">
                            <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12 lenders">
                                                    <h2 class="Underline" style="color:#00838F;font-size:35px;margin-bottom: 4%;font-weight: 550;">Book Discussion</h2>

<h2>Latest Discussion</h2>

{% if latest_discussion_list %}

<div>
    {% for discussion in latest_discussion_list  %}
    
    <div>
        <h3>
                                 {{ discussion.title }} BY </h3><h6>{{ discussion.user }}<p style="float: right; display: inline-block;">{{discussion.pub_date}}</p></h6>
       
        <p class="minimize"></p>
        <p class="minimize">{{ discussion.comment }}</p>
                  <a href="/books/{{ book.id }}/likediscussion/{{discussion.id}}">
          {{ discussion.likecount}}Like</a> 
            <a href="/books/{{ book.id }}/commentdiscussion/{{discussion.id}}">Comment</a> 

    {% endfor %}
    <a class="waves-effect waves-light btn red Button" data-toggle="modal" href="/books/{{book.id}}/reviewDetail/" id="reviewheading" style="align-self: center;">See More</a>
</div>
{% else %}
<p>No Posts are available.</p>
{% endif %}
<button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" onclick="adddiscussion()" id="reviewheading">Add Post</button>

<div style=" display:none;" id="discussform" >
{% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}

<form action="/books/{{ book.id }}/addDiscussion/" method="post">
    {% csrf_token %}
    {{ dform.as_p }}
<button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" value="add">Add</button>
</form>

</div>

                    
                    </div>


            <div class="row">
                            <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12 lenders">
                                                    <h2 class="Underline" style="color:#00838F;font-size:35px;margin-bottom: 4%;font-weight: 550;">Lenders Around You</h2>


                            
                                {% if people %}
                                    <div id="jssor_1" style="position: relative; margin: 0 auto; top: 0px; left: 5px; width: 809px; height: 200px; overflow: hidden; visibility: hidden;">
                                            <!-- Loading Screen -->
                                            <div data-u="loading" style="position: absolute; top: 0px; left: 0px;">
                                                <div style="filter: alpha(opacity=70); opacity: 0.7; position: absolute; display: block; top: 0px; left: 0px; width: 100%; height: 100%;"></div>
                                                <div style="position:absolute;display:block;background:url('img/loading.gif') no-repeat center center;top:0px;left:0px;width:100%;height:100%;"></div>
                                            </div>
                                            <div data-u="slides" style="cursor: default; position: relative; top: 0px; left: 0px; width: 809px; height: 200px; overflow: hidden;">
                                            
                                                
                                                {% for p,requested in people %}
                                                    <!-- Code for showing slider images -->
                                                    <div style="display:none;">
                                                    {% if not p.profilePic %}
                                                        <img src="/static/img/78373.png" style="height:100px;margin:0 auto;">
                                                    {% else %}
                                                        <img src="{{ p.profilePic.url }}" style="height:100px;margin:0 auto;">
                                                    {% endif %}
                                                        <span style="display:block;margin-left:1%;margin-top:1%;font-size:20px;color:black;">{{ p.penName }}</span>
                                                        <span style="display:block;margin-left:1%;margin-top:1%;font-size:20px;color:black;">Wants to Lend it</span>
                                                        {% if not requested %}
                                                        <a class="waves-effect waves-light btn darkBlue modal-button" style="margin-bottom:3px;" href="/books/{{ book.pk }}/exchange/{{ p.pk }}/">Request</a>
                                                        {% else %}
                                                        <a class="waves-effect waves-light btn darkBlue modal-button" style="margin-bottom:3px;" disabled>Already Requested</a>
                                                        {% endif %}
                                                    </div>
                                                <!-- Code for showing slider images ends -->
                                                {% endfor %}
                                                
                                            </div>
                                       
                                    <!-- Bullet Navigator -->
                                    <!-- <div data-u="navigator" class="jssorb03" style="bottom:10px;right:10px;"> -->
                                        <!-- bullet navigator item prototype -->
                                        <!-- <div data-u="prototype" style="width:21px;height:21px;">
                                            <div data-u="numbertemplate"></div>
                                        </div>
                                    </div> -->
                                    <!-- Arrow Navigator -->
                                    <span data-u="arrowleft" class="jssora03l" style="top:0px;left:8px;width:55px;height:55px;visibility: hidden;" data-autocenter="2"></span>
                                    <span data-u="arrowright" class="jssora03r" style="top:0px;right:8px;width:55px;height:55px;" data-autocenter="2"></span>
                                </div>
                            {% else %}
                            <div class="row" style="margin-bottom: 30px !important;">
                                <h2 style="text-align: center;">Oops no Lender for this book! <img src="/static/img/emoticon.png" style="height:50px;"/></h2>
                            </div>
                            {% endif %}
                            </div>
                                <!-- #endregion Jssor Slider End -->


                            </div>
                        </div>




</div>


<!-- Vefification modal (by Nikhil)  -->



<!-- <div id="verificationModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="gridSystemModalLabel">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
    <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    <h3 class="modal-title">Checkout</h3>
    </div>

    <div class="modal-body">

    <p>We need to send an OTP to your registered mobile number and email id.</p>

    <form action="#" method="get" accept-charset="utf-8">
    <p>
    Shipping Address: 
    <textarea class="form-control" name="address" id="address" rows="2" cols="40"></textarea>
    <br/>
    Amount: 
    <span id='amountSpan'></span>
    <br/>
    Payment Option: 
    <select class="form-control" name="paymentOption" id="paymentOption" onchange="" size="1">
    <option value="COD">Cash On Delivery</option>
    <option value="Online">Online Payment (Netbanking, Debit Cards etc)</option>
    </select>
-->
<!-- Rent from Date -->
<!-- TODO: Show calendar -->
<!-- <input type="text" name="startDate" id="startDate" class='form-control' placeholder='dd-mm-yy' value=""> -->
<!-- 
    <label id='labelDuration' for="duration">Number of Days for Renting</label>
    <input class="form-control" type="number" name="duration" id="duration" value="">
    </p> -->


    <!-- OTP queries -->

    <!-- <div id="otpError" style="background:yellow;display:none;">
        <h3>There was an error trying to send the otp. Please try again later!</h3>
        </div>

        <div id="incorrectOtp" style="background:red;display:none;">
        <h3>The OTP you entered was incorrect or already used by you.</h3>
        </div>

        <div id="otpVerify" style="display:none;">
        <h3>An OTP has been sent to your mobile number and email id.</h3>
        Enter OTP:<input class="form-control" type="text" name="otp" id="otp" value=""> 
        <button id='otpVerifyBtn' type="button" class="btn btn-info" onclick='verifyOtp();'>Verify and Confirm Order</button>
        </div> -->

        <!-- OTP queries end -->




        <!-- <p>
            <button id='sendOtpBtn' type="button" class="btn btn-info" onclick='sendOtp();'>Send OTP</button>
            </p>

            </form>
            </div> 
            <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            <button type="button" class="btn btn-primary">Save changes</button>
            </div>
            </div>-->
            <!-- /.modal-content -->
            <!-- </div>    /.modal-dialog
                </div>- -->         <!-- /.modal -->



                <!-- Vefification modal end (by Nikhil)  -->

                <!-- Verification Modal -->
                <div id="verificationModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="gridSystemModalLabel">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>

                                <h3 class="modal-title" id="gridSystemModalLabel">{{ book.title }} by {{ book.author }}</h3>

                            </div>

                            <div class="bookcondition">
                                <div class="row">
                                    <div class="col-md-2 col-xs-4 col-sm-3 ">
                                     {% if not coverPhoto %}
                                        <img class="bookcover-modal" src="/static/img/images.jpg">
                                    {% else %}
                                        <img class="bookcover-modal" src="{{ coverPhoto.photo.url }}">
                                    {% endif %}
                                    </div>
                                    <div class="col-md-9 col-xs-12 col-md-offset-1 col-sm-8 col-sm-offset-1">

                                        <div class="row">

                                            <div class="pages row">
                                                <span class="col-sm-12 col-md-12 col-xs-12">Pages: {{book.numPages}}</span>
                                            </div>
                                        </div>

                                            

                                            <div id='rentRow1' class="days row">
                                                <span class="col-sm-2 col-md-2 col-xs-3">Days</span>
                                                <div class="col-sm-10  col-md-10  col-xs-9" style="margin-bottom:8px;">
                                                    
                                                    <div class="demo">
                                                        <!-- rkmd-slider -->
                                                        
                                                            <input class="data_days" name="duration" id="duration" type="range" onchange="changeValues();" oninput="changeValues();" onmouseover="changeValues();" min="3" max="60" value="7">
                                                    </div>

                                                </div>
                                                <div class="col-md-offset-2 col-sm-offset-2 col-xs-offset-3">
                                                    <span class="col-md-5 col-sm-5 col-xs-5">3 days</span>
                                                </div>
                                                <div class="col-md-offset-7 col-xs-offset-6 col-sm-offset-6">
                                                    <span class="col-md-9 col-xs-9 col-sm-7">
                                                        60 days
                                                    </span>
                                                </div>
                                            </div>
                                        </div>

                                        <div id='rentRow2' class="row" style="margin-top:5px;">
                                            <input type="text" id="no_of_days" class="modals-input col-sm-4 col-md-offset-1 col-md-4 col-sm-offset-1 col-xs-4 col-xs-offset-1" readonly value="7 days">
                                        </div>
                                        <div id='rentRow3' class="row" style="margin-top:15px;">

                                            <span class="col-sm-1 col-md-1 col-xs-1" style='padding-top:5px;color:#212121;display:inline;'>Price</span>
                                            <input id='rentVal' readonly type="text" class="col-md-2 col-xs-2 col-sm-2" value="">
                                            <span class="col-md-1 col-xs-1 col-sm-1">+</span>
                                            <input id='securityVal' readonly type="text" class="col-md-2 col-xs-2 col-sm-2" value="">
                                            <span class="col-md-1 col-xs-1 col-sm-1">=</span>
                                            <input id='totalVal' readonly type="text" class="col-md-2 col-xs-2 col-sm-2" value="">
                                        </div>

                                        <div id='rentRow4' class="row" style="margin-top:3px;">

                                            <span style="font-size:20px;text-align:center;" class=" col-md-3 col-xs-3 col-sm-3">Rent</span>
                                            <span style="font-size:20px;text-align:center;" class=" col-md-3 col-xs-3 col-sm-3">Security</span>
                                            <span style="font-size:20px;text-align:center;" class=" col-md-3 col-xs-3 col-sm-3">Total</span>
                                        <!-- <button type="button" type="submit" class="form1" style="visibility:hidden;">Done</button> -->
                                    </div>

                                </div>
                            </div>

                            <div class="Underline" style="margin-left:50px;margin-right:50px;width:300px;">
                            </div>

                            <div class="verification" style="margin-top:25px;">

                                <div class="row">
                                    <div class="col-md-10 col-md-offset-1 col-xs-11 col-xs-offset-1 col-sm-11 col-sm-offset-1">
                                        <h4 class="modal-title">We need to send the OTP to registered mobile number or Email ID</h4>
                                    </div>
                                    <div class="col-md-10 col-md-offset-1 col-xs-11 col-sm-11">
                                        <div class="row" style="margin-top: 10px;">
                                            <form action="#" method="get" accept-charset="utf-8">
                                                <div class="row">
                                                    <span class="verify_require col-md-10 col-md-offset-1 col-xs-10 col-sm-10 col-sm-offset-1 col-xs-offset-1" style="font-size:20px;">Shipping Address</span> 
                                                    <textarea class="form-control col-md-7 col-md-offset-2 col-xs-7 col-xs-offset-1 col-sm-7 col-sm-offset-1" name="address" id="address" rows="2" style="width:400px;margin-top: 10px;"> </textarea>
                                                </div>
                                                <div class="row" style="margin-top: 20px;">
                                                    <span class="verify_require col-md-5 col-md-offset-1 col-xs-5 col-sm-5 col-sm-offset-1 col-xs-offset-1" style="font-size:20px;">Amount</span>
                                                    <input type="hidden" name="amount" id="amount" value="{{ sellingPrice }}">
                                                    <input value="{{ sellingPrice }}" readonly name='amountSpan' id='amountSpan' class="col-md-4 col-xs-4 col-sm-4" style="margin-top: 8px;width:180px !important;" type="number">
                                                </div>
                                                <div class="row" style="margin-top: 20px;">
                                                    <span class="verify_require col-md-5 col-md-offset-1 col-xs-5 col-sm-5 col-sm-offset-1 col-xs-offset-1" style="font-size:20px;">Payment Option</span>

                                                    <select class="form-control col-md-4 col-xs-4 col-sm-4 " name="paymentOption" id="paymentOption" onchange="" size="1" style="width:180px !important;">
                                                        <option value="COD">Cash On Delivery</option>
                                                        <option value="Online">Online Payment (Netbanking, Debit Cards etc)</option> 
                                                    </select>
                                                </div>

                                                <!-- Rent from Date -->
                                                <!-- TODO: Show calendar -->
                                                <!-- <input type="text" name="startDate" id="startDate" class='form-control' placeholder='dd-mm-yy' value=""> -->
                                                <!-- <div class="row" style="margin-top: 20px;"> -->
                                                <!--     <span class="verify_require col-md-6 col-md-offset-1 col-xs-6 col-sm-6 col-sm-offset-1 col-xs-offset-1" id='labelDuration' for="duration" style="font-size:20px;">No. of days for renting</span> -->
                                                <!--     <input class="form-control col-md-3 col-md-offset-1 col-xs-3 col-sm-3 col-xs-offset-1 col-sm-offset-1" type="number" name="duration" id="duration" value="" min="3" max="60" style="width:100px !important;"> -->
                                                <!-- </div> -->




                                                <!-- OTP queries -->
                                                <div class="row">
                                                    <div id="otpError" class="col-md-10 col-md-offset-1 col-xs-8 col-xs-offset-2 col-sm-8 col-sm-offset-2" style="color:#CDDC39;display:none;">
                                                        <h3>There was an error trying to send the otp. Please try again later!</h3>
                                                    </div>

                                                    <div id="incorrectOtp" class="col-md-10 col-md-offset-1 col-xs-8 col-xs-offset-2 col-sm-8 col-sm-offset-2" style="color:#F44336;display:none;">
                                                        <h3>The OTP you entered was incorrect or already used by you.</h3>
                                                    </div>

                                                    <div id="otpVerify" class="col-md-10 col-md-offset-1 col-xs-10 col-xs-offset-1 col-sm-10 col-sm-offset-1" style="display:none;">
                                                        <h3>An OTP has been sent to your mobile number and email id.</h3>
                                                        Enter OTP:<input class="form-control" type="text" name="otp" id="otp" value=""> 
                                                        <button id='otpVerifyBtn' type="button" class="btn btn-info modal-button" onclick='verifyOtp();' style="width:auto !important;">Verify and Confirm Order</button>
                                                    </div>
                                                </div>

                                                <!-- OTP queries end -->




                                                <div class="col-md-3 col-md-offset-1 col-xs-3 col-xs-offset-1 col-sm-3 col-sm-offset-1">
                                                    <button id='sendOtpBtn' type="button" class="btn btn-info modal-button" onclick='sendOtp();' style="">Send OTP</button>
                                                </div>

                                                <div class="col-xs-12" id="shipping">
                                                    <label>Shipping Charges may apply*</label>
                                                </div>
                                                 <div class="col-xs-12" id="shippingText">
                                                    <label>For order below Rs.200 shipping charges will apply of Rs.30 only</label>
                                                </div>

                                            </form>
                                        </div>
                                    </div>

                                </div>
                            </div>

                           





                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                <!-- <button type="button" class="btn btn-primary">Save changes</button> -->
                            </div>
                        </div><!-- /.modal-content -->
                    </div><!-- /.modal-dialog -->
                </div><!-- /.modal -->
                <!-- Verification Modal -->

                <div id="hiddenForm" class="name">
                </div>


                <!-- Container element -->
                <!-- <div class="parallax"></div> -->

               <script type="text/javascript" charset="utf-8">
               function adddiscussion()
               {
               	document.getElementById('discussform').style.display='block';
               	}
               function showdescription()
               {
               	document.getElementById('discriptiondiv').style.display='block';
               	document.getElementById('reviewdiv').style.display='none';
               }
               function addreview()
               {console.log(document.getElementById('reviewform'));
               	document.getElementById('reviewform').style.display='block';
               	document.getElementById('reviewheading').style.display='none';
               }
$('.likebutton').live("click",function(){
       var catid;
        catid = $(this).attr("data-catid");
       var id=catid
         $.ajax({
          type:"GET",
          url: "/books/{{ book.id }}/likeReview/"+catid,
          
          success: function( data ) {
            console.log(data['data'])
     
            $( '#'+id ).text(data['data']);
      $('#likebutton'+id).replaceWith('<a id="unlikebutton'+id+'" class="unlikebutton" data-catid="'+catid+'"><span id='+catid+'>'+data["data"]+'Unlike</a>' )
          }
        })
      });

$('.unlikebutton').live("click",function(){
       console.log('hey');
       var catid;
        catid = $(this).attr("data-catid");
       console.log('hey');
       var id=catid
         $.ajax({
          type:"GET",
          url: "/books/{{ book.id }}/unlikeReview/"+catid,
          
          success: function( data ) {
            console.log(data['data'])
            
            $( '#'+id ).text(data['data']);
      $('#unlikebutton'+id).replaceWith('<a class="likebutton" id="likebutton'+id+'" data-catid="'+catid+'"><span id='+catid+'>'+data["data"]+'Like</a>' )
          }
        })
      });

               jQuery(function(){

    var minimized_elements = $('p.minimize');
    
    minimized_elements.each(function(){    
        var t = $(this).text();        
        if(t.length < 100) return;
        
        $(this).html(
            t.slice(0,100)+'<span>... </span><a href="#" class="more">More</a>'+
            '<span style="display:none;">'+ t.slice(100,t.length)+' <a href="#" class="less">Less</a></span>'
        );
        
    }); 
    
    $('a.more', minimized_elements).click(function(event){
        event.preventDefault();
        $(this).hide().prev().hide();
        $(this).next().show();        
    });
    
    $('a.less', minimized_elements).click(function(event){
        event.preventDefault();
        $(this).parent().hide().prev().show().prev().show();    
    });

});
</script>
                {% if addedToCart %}
                <script type="text/javascript" charset="utf-8">
toastr.success('Added!');
                </script>
                {% endif %}

{% if inCart %}
                <script type="text/javascript" charset="utf-8">
document.getElementById('carts').innerHTML="<a>In cart</a>"
                </script>
                {% endif %}

                <script type="text/javascript" charset="utf-8">

                var x= 0;





                    var y = $("#shippingText");
                     y.hide();
                   

                    $("#shipping").click(function(){
                        console.log("clicked" + x);
                        x++;
                        if(x%2 == 0){
                            y.hide();
                        }
                         else{
                            y.show();
                        }
                        
                    });









function sendOtp() {
    document.getElementById("sendOtpBtn").innerHTML = 'Please Wait...';
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            resp = JSON.parse(this.responseText);
            console.log(resp);
            if(resp['status'] = 'sent')
            {
                document.getElementById("otpVerify").style.display = 'block';
            }
            else
            {
                document.getElementById("otpVerify").style.display = 'none';
                document.getElementById("otpError").style.display = 'block';
            }
            document.getElementById('sendOtpBtn').innerHTML = 'Resend Otp';
        }
    };

    var url = '/sendOtp/';
    xhttp.open("GET", url, true);
    xhttp.send();
}

function verifyOtp() {
    document.getElementById('otpVerifyBtn').value = 'Verifying...';
    document.getElementById('otpVerifyBtn').disabled = true;
    var xhttp = new XMLHttpRequest();
    document.getElementById('otpVerifyBtn').value = 'Verifying';
    xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            resp = JSON.parse(this.responseText);
            if(resp['status'] == 'Verified')
            {
                document.getElementById('otpVerifyBtn').value = 'Please Wait';
                document.getElementById("incorrectOtp").style.display = 'none';
                //redirect to success page
                var paymentOption =  document.getElementById('paymentOption').value;
                if(paymentOption == 'COD')
                {
                    //Order complete: Nothing else to do
                    //Post the id that came in response to success page
                    $('#hiddenForm').html('<form action="/books/orderComplete/" name="formSuccess" method="get" style="display:none;"><input type="text" name="shipmentPk" value="' + resp['id'] + '" /></form>');
                    document.forms['formSuccess'].submit();
                }
                else
                {
                    sellingPrice = {{ sellingPrice }};
                    if(sellingPrice < 200)
                    {
                        shippingCharges = 30;
                    }
                    else {
                        shippingCharges = 0;
                    }
                    //Show razorpay payment gateway; collect payment and post the details to onlinePayment page
                    var totalAmount = (resp['amount']*100).toString();
                    var options = {
                        "key": "rzp_test_7Kw2wESOi945RD",
                        "amount": (sellingPrice+shippingCharges)*100, // 100 paise = INR 1
                        "name": "Litwit",
                        "description": "Litwit Online Payment",
                        //"image": "/your_logo.png",
                        "handler": function (response){
                            //Send values to onlinePayment endpoint
                            $('#hiddenForm').html('<form action="/books/cart/onlinePaymentQuick/" name="formSuccess" method="post" style="display:none;"><input type="text" name="paymentId" value="' + response.razorpay_payment_id + '" /><input type="text" name="shipmentId" value="' + resp['id'] + '" /><input type="text" name="bookId" value="{{ book.id }}" /><input type="text" name="buyOrRent" value="' + buyOrRent + '" /></form>');
                            document.forms['formSuccess'].submit();
                        },
                        "prefill": {
                            "name": "",
                            "email": ""
                        },
                        "notes": {
                            "address": ""
                        },
                        "theme": {
                            "color": "#F37254"
                        }
                    };

                    var rzp1 = new Razorpay(options);
                    rzp1.open();
                }
            }
            else
            {
                document.getElementById("incorrectOtp").style.display = 'block';
                document.getElementById('otpVerifyBtn').value = 'Verify';
            }
            document.getElementById("sendOtpBtn").innerHTML = 'Resend OTP';
        }
    };

    var url = '/verifyOtpQuick/';
    var params = '';
    var enteredOtp = document.getElementById('otp').value;
    var address =  document.getElementById('address').value;
    var amount =  "{{ totalAmount }}";
    var paymentOption =  document.getElementById('paymentOption').value;
    var duration =  document.getElementById('duration').value;
   
    //var startDate =  document.getElementById('startDate').value;

    params += 'otp='+enteredOtp + '&paymentOption=' + paymentOption + '&address=' + address + '&duration=' + duration + '&buyOrRent='+buyOrRent+'&bookId='+{{ book.id }};

    xhttp.open("POST", url, true);
    xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xhttp.send(params);
}
                </script>

                <script type="text/javascript" charset="utf-8">
buyOrRent = 'Buy';
function setBuyOrRent(val) {
    //0 = buy; 1 = rent
    if(val == 0)
    {
         
        document.getElementById('duration').style.display = 'none';
        //document.getElementById('labelDuration').style.display = 'none';
        document.getElementById('amountSpan').innerHTML = '{{ sellingPrice }}';

        document.getElementById('rentRow1').style.display = 'none';
        document.getElementById('rentRow2').style.display = 'none';
        document.getElementById('rentRow3').style.display = 'none';
        document.getElementById('rentRow4').style.display = 'none';

        buyOrRent = 'Buy';
    }
    else
    {
         
        document.getElementById('duration').style.display = 'block';
        //document.getElementById('labelDuration').style.display = 'block';
        document.getElementById('amountSpan').innerHTML = '{{ sellingPrice }}';

        document.getElementById('rentRow1').style.display = 'block';
        document.getElementById('rentRow2').style.display = 'block';
        document.getElementById('rentRow3').style.display = 'block';
        document.getElementById('rentRow4').style.display = 'block';

        buyOrRent = 'Rent';
    }
}
                </script>

                <script type="text/javascript" charset="utf-8">
function showLendOptions() {
    document.getElementById('conditionSelector').style.display = 'inline-block';
}
                </script>

                <script src="https://checkout.razorpay.com/v1/checkout.js"></script>

                {% endblock %}

                {% block scripts %}
                <!-- <script src="/static/js/bookdetails.js"></script> -->
                <script type="text/javascript" charset="utf-8">
$( document ).ready(function() {

    //set default values of rent modal
     
    sellingPrice = {{ sellingPrice }};
    if(sellingPrice < 200)
    {
        shippingCharges = 30;
    }
    else {
        shippingCharges = 0
    }
    numDays = 7; //default = 7 days
    rentVal = numDays + 60;
    security = sellingPrice - rentVal; 
    if(security < 0)
        security = 0;
    if(rentVal > sellingPrice)
        rentVal = sellingPrice;
    document.getElementById('totalVal').value = String(sellingPrice);
    document.getElementById('rentVal').value = rentVal; //default for 7 days
    document.getElementById('securityVal').value = security;

    setBuyOrRent(1);

   
});

function changeValues() {
    //change values of rent modal
   
    sellingPrice = {{ sellingPrice }};
    if(sellingPrice < 200)
    {
        shippingCharges = 30;
    }
    else {
        shippingCharges = 0
    }
    numDays = document.getElementById('duration').value;
    numDays = parseInt(numDays);
    rentVal = numDays + 60;

    if(rentVal > sellingPrice)
        rentVal = sellingPrice;

    security = sellingPrice - rentVal; 
    if(security < 0)
        security = 0;
    document.getElementById('rentVal').value = rentVal; //60(basic) + 1re per day
    document.getElementById('securityVal').value = security; //total amount paid is 70% of the book
    document.getElementById('no_of_days').value = numDays + ' days'; //show value in input box

}
                </script>

                <script type="text/javascript" charset="utf-8">
function showLendForm() {
    document.getElementById('lendForm').style.display = 'block';
}
                 $("#duration").on("change input",changeValues());
    $("#duration").hover(changeValues());

                </script>
                {% endblock %}
